cURL
curl --request POST \ --url https://orbitflare.com/api/customer/v2/auth/device/token \ --header 'Content-Type: application/json' \ --header 'X-ORBIT-KEY: <api-key>' \ --data ' { "device_code": "<string>" } '
{ "success": true, "data": { "token_type": "Bearer", "access_token": "<string>", "expires_in": 123, "user": { "id": 123, "name": "<string>", "email": "jsmith@example.com", "wallet_address": "<string>", "payment_wallet_address": "<string>", "balance": 123, "created_at": "2023-11-07T05:31:56Z" } } }
Poll until the user authorizes in the browser. Returns 428 (authorization_pending) while waiting, 429 (slow_down) if polling too fast, 410 (expired_token) if code expired.
API key for v1 and v2 (when not using Bearer token)
The device_code from /auth/device/code
User authorized. Token issued.
true
Show child attributes
Was this page helpful?